Bug 118986 - Update port:devel/php5-ice An Ice (Internet Communications Engine) language mapping for PHP
Summary: Update port:devel/php5-ice An Ice (Internet Communications Engine) language m...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-24 10:10 UTC by DIrk
Modified: 2007-12-26 16:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.02 KB, patch)
2007-12-24 10:10 UTC, DIrk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description DIrk 2007-12-24 10:10:02 UTC
An Ice language mapping for PHP is a recent and welcome addition
to the Ice product portfolio, enabling developers to take advantage
of the productivity offered by PHP's friendly syntax and extensive
function library.

This Ice distribution is released under the GNU General Public License (GPL).

WWW: http://www.zeroc.com/

Fix: Patch attached with submission follows:
Comment 1 Pav Lucistnik freebsd_committer 2007-12-25 20:25:19 UTC
State Changed
From-To: open->feedback

Why are you specifying PHP dependency as BUILD only? Is this port useful 
without php installed? 


Comment 2 Pav Lucistnik freebsd_committer 2007-12-25 20:25:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 3 dfilter service freebsd_committer 2007-12-25 21:08:52 UTC
pav         2007-12-25 21:08:48 UTC

  FreeBSD ports repository

  Modified files:
    devel/php5-ice       Makefile pkg-plist 
  Log:
  - Fix up packaging and cleaup
  
  PR:             ports/118986
  Submitted by:   DIrk <dirk.ye@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +3 -1      ports/devel/php5-ice/Makefile
  1.2       +2 -1      ports/devel/php5-ice/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 DIrk 2007-12-26 03:28:37 UTC
PHP is contained in package-depends-list:

[root@cvsup.asweb.cn:/usr/ports/devel/php5-ice]# make package-depends-list
Ice-3.2.1 /usr/ports/devel/ice devel/ice
expat-2.0.0_1 /usr/ports/textproc/expat2 textproc/expat2
db42-4.2.52_5 /usr/ports/databases/db42 databases/db42
php5-5.2.5 /usr/ports/lang/php5 lang/php5
libxml2-2.6.30 /usr/ports/textproc/libxml2 textproc/libxml2
libiconv-1.11_1 /usr/ports/converters/libiconv converters/libiconv
pkg-config-0.22_1 /usr/ports/devel/pkg-config devel/pkg-config
Comment 5 Pav Lucistnik freebsd_committer 2007-12-26 16:00:24 UTC
State Changed
From-To: feedback->closed

You're right, my mistake.